Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 6)
@@ -1881,7 +1948,7 @@
             try
             {
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.MyConstruction, GroupTitile[(int)GroupName_ConstructionBudget.MyConstruction]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.MyConstruction, GroupTitle[(int)GroupName_ConstructionBudget.MyConstruction]);
 
                 // 自社施工の行カウントを取得する
                 m_CostsRowCount[(int)CostsRowLine.MyConstructionLine] = dgvAllDisplay.RowCount - 1;
@@ -1942,7 +2009,7 @@
             try
             {
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.MyConstruction, GroupTitile[(int)GroupName_ConstructionBudget.MyConstruction]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.MyConstruction, GroupTitle[(int)GroupName_ConstructionBudget.MyConstruction]);
 
                 // 自社施工の行カウントを取得する
                 m_CostsRowCount[(int)CostsRowLine.MyConstructionLine] = dgvAllDisplay.RowCount - 1;
@@ -1972,9 +2039,9 @@
                     RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.MyConstruction;
                     RowData[(int)DispGridColumn.ItemName] = CommonMotions.cnvString(wrkrec[1]).Trim();
                     RowData[(int)DispGridColumn.TextName] = CommonMotions.cnvString(wrkrec[5]).Trim();
-                    RowData[(int)DispGridColumn.SubContractorType] = "0";
-                    RowData[(int)DispGridColumn.SubContractorCode] = "0";
-                    RowData[(int)DispGridColumn.SubContractorName] = "";
+                    RowData[(int)DispGridColumn.CompanyType] = "0";
+                    RowData[(int)DispGridColumn.CompanyCode] = "0";
+                    RowData[(int)DispGridColumn.CompanyName] = "";
                     RowData[(int)DispGridColumn.EstimatePrice] = CommonMotions.cnvInt(wrkrec[2]).ToString("#,0");
                     RowData[(int)DispGridColumn.NegotiationPrice] = "0";
                     RowData[(int)DispGridColumn.HopePrice] = CommonMotions.cnvInt(wrkrec[2]).ToString("#,0");
@@ -2042,7 +2109,7 @@
                 RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.DisposeCosts;
 
                 RowData[(int)DispGridColumn.ComponentCode] = CompomentCode;
-                RowData[(int)DispGridColumn.ItemName] = GroupTitile[(int)GroupName_ConstructionBudget.DisposeCosts];
+                RowData[(int)DispGridColumn.ItemName] = GroupTitle[(int)GroupName_ConstructionBudget.DisposeCosts];
                 RowData[(int)DispGridColumn.EstimatePrice] = EstimatePrice.ToString("#,0");
                 RowData[(int)DispGridColumn.NegotiationPrice] = NegoPrice.ToString("#,0");
                 RowData[(int)DispGridColumn.HopePrice] = NegoPrice.ToString("#,0");
@@ -2055,9 +2122,6 @@
                 // 発生処分費の行カウントを取得する
                 m_CostsRowCount[(int)CostsRowLine.DisposeCostsRowLine] = dgvAllDisplay.RowCount - 1;
 
-                // 空白行
-                AddEmptyRow();
-
                 return true;
             }
             catch (Exception ex)
@@ -2112,7 +2176,7 @@
                 RowData[(int)DispGridColumn.ComponentCode] = CompomentCode;
                 RowData[(int)DispGridColumn.ItemCode] = string.Empty;
 
-                RowData[(int)DispGridColumn.ItemName] = GroupTitile[(int)GroupName_ConstructionBudget.DisposeCosts];
+                RowData[(int)DispGridColumn.ItemName] = GroupTitle[(int)GroupName_ConstructionBudget.DisposeCosts];
                 RowData[(int)DispGridColumn.EstimatePrice] = EstimatePrice.ToString("#,0");
                 RowData[(int)DispGridColumn.NegotiationPrice] = EstimatePrice.ToString("#,0");
                 RowData[(int)DispGridColumn.HopePrice] = EstimatePrice.ToString("#,0");
@@ -2125,9 +2189,6 @@
                 // 発生処分費の行カウントを取得する
                 m_CostsRowCount[(int)CostsRowLine.DisposeCostsRowLine] = dgvAllDisplay.RowCount - 1;
 
-                // 空白行
-                AddEmptyRow();
-
                 return true;
             }
             catch (Exception ex)
@@ -2181,7 +2242,7 @@
             IOEstimateBudgetDetail DetailDB = new IOEstimateBudgetDetail();
             try
             {
-                CreateTitileRow((int)GroupName_ConstructionBudget.PurchaseCosts, GroupTitile[(int)GroupName_ConstructionBudget.PurchaseCosts]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.PurchaseCosts, GroupTitle[(int)GroupName_ConstructionBudget.PurchaseCosts]);
 
                 string strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode);
                 strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)GroupName_EstimateBudget.PurchasePrice);
@@ -2194,9 +2255,9 @@
                 RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", (int)GroupName_ConstructionBudget.PurchaseCosts, 1);
                 RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.PurchaseCosts;
                 RowData[(int)DispGridColumn.ItemName] = DetailRec.FirstString;
-                RowData[(int)DispGridColumn.SubContractorType] = 0;
-                RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                RowData[(int)DispGridColumn.SubContractorName] = DetailRec.SecondString;
+                RowData[(int)DispGridColumn.CompanyType] = 0;
+                RowData[(int)DispGridColumn.CompanyCode] = DetailRec.CompanyCode;
+                RowData[(int)DispGridColumn.CompanyName] = DetailRec.SecondString;
                 RowData[(int)DispGridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
                 RowData[(int)DispGridColumn.NegotiationPrice] = DetailRec.NegotiationPrice.ToString("#,0");
                 RowData[(int)DispGridColumn.HopePrice] = DetailRec.NegotiationPrice.ToString("#,0");
@@ -2225,7 +2286,7 @@
         {
             try
             {
-                CreateTitileRow((int)GroupName_ConstructionBudget.PurchaseCosts, GroupTitile[(int)GroupName_ConstructionBudget.PurchaseCosts]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.PurchaseCosts, GroupTitle[(int)GroupName_ConstructionBudget.PurchaseCosts]);
 
                 object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
                 // データセット
@@ -2263,7 +2324,7 @@
                 RowData[(int)DispGridColumn.FixFlg] = "*";
                 RowData[(int)DispGridColumn.No] = i;
                 RowData[(int)DispGridColumn.GroupCount] = i;
-                RowData[(int)DispGridColumn.ItemName] = GroupTitile[i];
+                RowData[(int)DispGridColumn.ItemName] = GroupTitle[i];
                 RowData[(int)DispGridColumn.EstimatePrice] = "";
                 RowData[(int)DispGridColumn.NegotiationPrice] = "";
                 RowData[(int)DispGridColumn.HopePrice] = "0";
@@ -2276,108 +2337,239 @@
         }
         #endregion
 
-        #region 指導員の表示データを作成
+        #region 副担当給与行作成
         /// <summary>
-        /// 指導員の表示データを作成する
+        /// 副担当給与表示
         /// </summary>
-        /// <param name="dCosts"></param>
-        /// <param name="ItemString"></param>
-        /// <param name="Content"></param>
-        private void CreateInstructorData(ref double dCosts, ref string ItemString, ref string Content)
+        /// <returns></returns>
+        private void CreateAssistantCosts(bool CreateRowLine)
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
                 // 工期取得
-                double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                double BetweenTimes = 0;
                 // デフォルト項目
-                ItemString = GroupTitile[(int)GroupName_ConstructionBudget.InstructorCosts];
+                string ItemString = GroupTitle[(int)GroupName_ConstructionBudget.AssistantCosts];
+                // 給与計算
+                double CostsValue = 0;
                 // 工事内容
-                Content = string.Format(s_InstructorMonthlyFormat, BetweenTimes.ToString("0.00"), m_InstructorMonthryCost.ToString("#,0"));
+                string Content = string.Empty;
 
-                // 指導員コスト（１カ月単価）を見えないラベルにセットする
-                m_DspLabelCtrl[(int)DspLblCtrlName.InstructorCosts].Text = m_InstructorMonthryCost.ToString();
+                // 指導員コードの設定           
+                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int PersonCode = m_SubConstractor;
 
-                // 指導員金額
-                dCosts = 0;
-                dCosts = m_InstructorMonthryCost * BetweenTimes;
+                // 設定無時はセットしない
+                if (PersonCode == 0) goto GridSet;
+                if (!pnlGroup2.Visible) goto GridSet;
 
-                // 担当者マスタを読込
-                string strSQL = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionInstructor);
-                PersonInChargeMaster PicRec = new PersonInChargeMaster();
-                if (picDB.SelectAction(strSQL, ref PicRec))
+                if (radioButton4.Checked)
+                {   // ----- 振分
+                    // 工期取得
+                    BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                    // 給与計算
+                    CostsValue = CommonDefine.AssistantMonthryCost * BetweenTimes;
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.AssistantMonthryCost.ToString("#,0"));
+                }
+                else if (radioButton5.Checked)
                 {
-                    // 項目
-                    ItemString = string.Format(s_InstructorFormat, GroupTitile[(int)GroupName_ConstructionBudget.InstructorCosts], PicRec.SealPrintName);
+                    CodeType = 0;
+                    PersonCode = 0;
                 }
+                else if (radioButton6.Checked)
+                {   // ----- 日数指定
+                    // 日数取得
+                    int daycount = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.A_SalaryDays].Text);
+                    // 日額給与取得
+                    double daylySalary = CommonDefine.AssistantMonthryCost / CommonDefine.s_WorkingDaysOfMonth;
+                    CostsValue = daylySalary * daycount;
+                    Content = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
+                }
+
+                // 工事内容
+                if (!CheckUserAndLeader()) Content = string.Empty;
+
+            GridSet:
+                DataGridView dgv = dgvAllDisplay;
+                if (CreateRowLine)
+                {
+                    object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
+                    // データセット
+                    RowData[(int)DispGridColumn.FixFlg] = "*";
+                    RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.AssistantCosts;
+                    RowData[(int)DispGridColumn.ItemName] = ItemString;
+                    RowData[(int)DispGridColumn.TextName] = Content;
+                    RowData[(int)DispGridColumn.CompanyType] = CodeType;
+                    RowData[(int)DispGridColumn.CompanyCode] = PersonCode;
+                    RowData[(int)DispGridColumn.EstimatePrice] = "";
+                    RowData[(int)DispGridColumn.NegotiationPrice] = "";
+                    RowData[(int)DispGridColumn.HopePrice] = CostsValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.ExecPrice] = CostsValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.Percent] = CalculattionPercent((CostsValue * BetweenTimes)).ToString("0.00");
+
+                    // 行セット
+                    CreateDataRow(RowData, true);
+
+                    // 行位置取得
+                    m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] = dgv.RowCount - 1;
+
+                    return;     // 新規作成はここで抜ける
+                }
+                // 副担当行取得
+                int LineCnt = m_CostsRowCount[(int)CostsRowLine.AssistantRowLine];
+                if (LineCnt == 0) return;
+                DataGridViewRow CurRow = dgv.Rows[LineCnt];
+
+                // データセット
+                CurRow.Cells[(int)DispGridColumn.TextName].Value = Content;
+                CurRow.Cells[(int)DispGridColumn.EstimatePrice].Value = "";
+                CurRow.Cells[(int)DispGridColumn.NegotiationPrice].Value = "";
+                CurRow.Cells[(int)DispGridColumn.HopePrice].Value = CostsValue.ToString("#,0");
+                CurRow.Cells[(int)DispGridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
+                CurRow.Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
+
+                // 粗利益行計算
+                CreateGrossProfit(false);
+
+                // 純利益計算
+                CreateNetIncome(false);
+
+                // 合計計算
+                CreateAllTotal(false);
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
+        #region 副担当金額取得
+        /// <summary>
+        /// 副担当金額取得
+        /// </summary>
+        /// <param name="AssistantHope"></param>
+        /// <param name="AssistantExec"></param>
+        private void GetAssistantLineValue(ref int AssistantHope, ref int AssistantExec)
+        {
+
+            DataGridView dgv = dgvAllDisplay;
+            // 16期以降はは表示する
+            if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+
+            int AssistantLine = m_CostsRowCount[(int)CostsRowLine.AssistantRowLine];
+            if (AssistantLine == 0) return;
+            AssistantHope = CommonMotions.cnvInt(dgv.Rows[AssistantLine].Cells[(int)DispGridColumn.HopePrice].Value);
+            AssistantExec = CommonMotions.cnvInt(dgv.Rows[AssistantLine].Cells[(int)DispGridColumn.ExecPrice].Value);
+        }
+        #endregion
+
         #region 指導員給与行作成
         /// <summary>
         /// 指導員給与表示
         /// </summary>
         /// <returns></returns>
-        private void CreateInstructorCosts()
+        private void CreateInstructorCosts(bool CreateRowLine)
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
+                DataGridView dgv = dgvAllDisplay;
                 // 工期取得
-                double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                double BetweenTimes = 0;
                 // デフォルト項目
-                string ItemString = GroupTitile[(int)GroupName_ConstructionBudget.InstructorCosts];
+                string ItemString = GroupTitle[(int)GroupName_ConstructionBudget.InstructorCosts];
+                // 給与計算
+                double CostsValue = 0;
                 // 工事内容
                 string Content = string.Empty;
 
-                // 指導員単価
-                double dCosts = 0;
+                // 指導員コードの設定           
+                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int PersonCode = m_Instructor;
 
-                // 指導員がある場合は指導員データをセットする
-                if (m_ConstructionBaseInfo.ConstructionInstructor != 0)
+                // 設定無時はセットしない
+                if (PersonCode == 0) goto GridSet;
+                if (!pnlGroup3.Visible) goto GridSet;
+
+                if (radioButton7.Checked)
+                {   // ----- 全日振分
+                    // 工期取得
+                    BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                    // 給与計算
+                    CostsValue = CommonDefine.InstructorMonthryCost * BetweenTimes;
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.InstructorMonthryCost.ToString("#,0"));
+                }
+                else if (radioButton8.Checked)
                 {
-                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorCosts].Text = m_InstructorMonthryCost.ToString();
-                    CreateInstructorData(ref dCosts, ref ItemString, ref Content);
+                    CodeType = 0;
+                    PersonCode = 0;
                 }
+                else if (radioButton9.Checked)
+                {   // ----- 日数指定
+                    // 日数取得
+                    int daycount = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.I_SalaryDays].Text);
+                    // 日額給与取得
+                    double daylySalary = CommonDefine.AssistantMonthryCost / CommonDefine.s_WorkingDaysOfMonth;
+                    CostsValue = daylySalary * daycount;
+                    Content = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
+                }
 
-                object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
+                // 工事内容
+                if (!CheckUserAndLeader()) Content = string.Empty;
+                
+            GridSet:
+
+                if (CreateRowLine)
+                {
+                    object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
+                    // データセット
+                    RowData[(int)DispGridColumn.FixFlg] = "*";
+                    RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.InstructorCosts;
+                    RowData[(int)DispGridColumn.ItemName] = ItemString;
+                    RowData[(int)DispGridColumn.TextName] = Content;
+                    RowData[(int)DispGridColumn.CompanyType] = CodeType;
+                    RowData[(int)DispGridColumn.CompanyCode] = PersonCode;
+                    RowData[(int)DispGridColumn.EstimatePrice] = "";
+                    RowData[(int)DispGridColumn.NegotiationPrice] = "";
+                    RowData[(int)DispGridColumn.HopePrice] = CostsValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.ExecPrice] = CostsValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.Percent] = CalculattionPercent((CostsValue * BetweenTimes)).ToString("0.00");
+
+                    // 行セット
+                    CreateDataRow(RowData, true);
+
+                    // 行位置取得
+                    m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = dgv.RowCount - 1;
+
+                    return;     // 新規作成はここで抜ける
+                }
+
+                // 指導員行取得
+                int LineCnt = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine];
+                if (LineCnt == 0) return;
+                DataGridViewRow CurRow = dgv.Rows[LineCnt];
+
                 // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.InstructorCosts;
-                RowData[(int)DispGridColumn.ItemName] = ItemString;
-                RowData[(int)DispGridColumn.TextName] = Content;
-                RowData[(int)DispGridColumn.EstimatePrice] = "";
-                RowData[(int)DispGridColumn.NegotiationPrice] = "";
-                RowData[(int)DispGridColumn.HopePrice] = dCosts.ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = dCosts.ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = CalculattionPercent((dCosts * BetweenTimes)).ToString("0.00");
+                CurRow.Cells[(int)DispGridColumn.TextName].Value = Content;
+                CurRow.Cells[(int)DispGridColumn.EstimatePrice].Value = "";
+                CurRow.Cells[(int)DispGridColumn.NegotiationPrice].Value = "";
+                CurRow.Cells[(int)DispGridColumn.HopePrice].Value = CostsValue.ToString("#,0");
+                CurRow.Cells[(int)DispGridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
+                CurRow.Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
 
-                // 行セット
-                CreateDataRow(RowData, true);
+                // 粗利益行計算
+                CreateGrossProfit(false);
 
-                // 行位置取得
-                DataGridView dgv = dgvAllDisplay;
-                int LineCnt = dgv.RowCount - 1;
-                m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = LineCnt;
+                // 純利益計算
+                CreateNetIncome(false);
 
+                // 合計計算
+                CreateAllTotal(false);
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
@@ -2392,68 +2584,21 @@
 
             DataGridView dgv = dgvAllDisplay;
             // 16期以降はは表示する
-            if (m_ConstructionBaseInfo.ConstructionPeriod >= 16)
-            {
-                int InstructorLine = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine];
-                if (InstructorLine == 0) return;
-                InstructorHope = CommonMotions.cnvInt(dgv.Rows[InstructorLine].Cells[(int)DispGridColumn.HopePrice].Value);
-                InstructorExec = CommonMotions.cnvInt(dgv.Rows[InstructorLine].Cells[(int)DispGridColumn.ExecPrice].Value);
-            }
-        }
-        #endregion
+            if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
 
-        #region 粗利益行計算
-        /// <summary>
-        /// 粗利益行計算
-        /// </summary>
-        /// <returns></returns>
-        private void CalculateGrossProfit()
-        {
-            try
-            {
-                // 受注金額取得
-                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
-
-                int EstimatePriceValue = 0;
-                int NegotiationPriceValue = 0;
-                int HopePriceValue = 0;
-                int ExecPriceValue = 0;
-                double PercentValue = 0;
-
-                // 合計値取得
-                GetDetailTotal(ref EstimatePriceValue, ref NegotiationPriceValue, ref HopePriceValue, ref ExecPriceValue, ref PercentValue);
-
-                DataGridView dgv = dgvAllDisplay;
-                // 指導員の給与取得
-                int InstructorHope = 0;
-                int InstructorExec = 0;
-                GetInstructorLineValue(ref InstructorHope, ref InstructorExec);
-
-                // 粗利益行カウント取得
-                int LineCnt = m_CostsRowCount[(int)CostsRowLine.GrossProfitRowLine];
-                if (LineCnt == 0) return;
-
-                // データセット
-                int HopeValue = OrdersPrice - (HopePriceValue + InstructorHope);
-                int ExecValue = OrdersPrice - (ExecPriceValue + InstructorExec);
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.HopePrice].Value = HopeValue.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecValue.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecValue).ToString("0.00");
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
+            int InstructorLine = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine];
+            if (InstructorLine == 0) return;
+            InstructorHope = CommonMotions.cnvInt(dgv.Rows[InstructorLine].Cells[(int)DispGridColumn.HopePrice].Value);
+            InstructorExec = CommonMotions.cnvInt(dgv.Rows[InstructorLine].Cells[(int)DispGridColumn.ExecPrice].Value);
         }
         #endregion
 
-        #region 粗利益行作成
+        #region 粗利益行作成・再計算
         /// <summary>
-        /// 粗利益表示
+        /// 粗利益表示・再計算
         /// </summary>
         /// <returns></returns>
-        private void CreateGrossProfit()
+        private void CreateGrossProfit(bool CrearteRow)
         {
             try
             {
@@ -2460,7 +2605,7 @@
                 DataGridView dgv = dgvAllDisplay;
 
                 // 受注金額取得
-                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", ""));
 
                 int EstimatePriceValue = 0;
                 int NegotiationPriceValue = 0;
@@ -2471,74 +2616,43 @@
                 // 合計値取得
                 GetDetailTotal(ref EstimatePriceValue, ref NegotiationPriceValue, ref HopePriceValue, ref ExecPriceValue, ref PercentValue);
 
-                // 指導員の給与取得
-                int InstructorHope = 0;
-                int InstructorExec = 0;
-                GetInstructorLineValue(ref InstructorHope, ref InstructorExec);
+                int HopeValue = OrdersPrice - HopePriceValue;
+                int ExecValue = OrdersPrice - ExecPriceValue;
 
-                int HopeValue = OrdersPrice - HopePriceValue - InstructorHope;
-                int ExecValue = OrdersPrice - ExecPriceValue - InstructorExec;
-
-                object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
-                // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.GrossProfit;
-                RowData[(int)DispGridColumn.ItemName] = GroupTitile[(int)GroupName_ConstructionBudget.GrossProfit];
-                // 16期以降は指導員金額を表示する
-                if (m_ConstructionBaseInfo.ConstructionPeriod >= 16)
+                if (CrearteRow)
                 {
-                    RowData[(int)DispGridColumn.TextName] = "（この項目に担当者給与は経費計上されてません。）";
-                }
-                RowData[(int)DispGridColumn.EstimatePrice] = "";
-                RowData[(int)DispGridColumn.NegotiationPrice] = "";
-                RowData[(int)DispGridColumn.HopePrice] = HopeValue.ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = ExecValue.ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
+                    object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
+                    // データセット
+                    RowData[(int)DispGridColumn.FixFlg] = "*";
+                    RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.GrossProfit;
+                    RowData[(int)DispGridColumn.ItemName] = GroupTitle[(int)GroupName_ConstructionBudget.GrossProfit];
+                    RowData[(int)DispGridColumn.EstimatePrice] = "";
+                    RowData[(int)DispGridColumn.NegotiationPrice] = "";
+                    RowData[(int)DispGridColumn.HopePrice] = HopeValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.ExecPrice] = ExecValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
 
-                // 行セット
-                CreateDataRow(RowData, true);
+                    // 空白行
+                    AddEmptyRow();
 
-                // 行位置取得
-                int LineCnt = dgv.RowCount - 1;
-                m_CostsRowCount[(int)CostsRowLine.GrossProfitRowLine] = LineCnt;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
+                    // 行セット
+                    CreateDataRow(RowData, true);
 
-        #region 給与経費行のクリア
-        /// <summary>
-        /// 給与経費行のクリア
-        /// </summary>
-        /// <returns></returns>
-        private void ClearPayrollExpenses()
-        {
-            try
-            {
-                // 16期以降は給与を表示する
-                if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+                    // 行位置取得
+                    m_CostsRowCount[(int)CostsRowLine.GrossProfitRowLine] = dgv.RowCount - 1;
+                }
+                else
+                {
 
-                // 行位置取得
-                DataGridView dgv = dgvAllDisplay;
-                int LineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine];
-                DataGridViewRow wrkRow = dgv.Rows[LineCnt];
+                    // 粗利益行カウント取得
+                    int LineCnt = m_CostsRowCount[(int)CostsRowLine.GrossProfitRowLine];
+                    if (LineCnt == 0) return;
 
-                wrkRow.Cells[(int)DispGridColumn.TextName].Value = "";
-                wrkRow.Cells[(int)DispGridColumn.HopePrice].Value = "0";
-                wrkRow.Cells[(int)DispGridColumn.ExecPrice].Value = "0";
-                wrkRow.Cells[(int)DispGridColumn.Percent].Value = "0.00";
-
-                // 粗利益行計算
-                CalculateGrossProfit();
-
-                // 純利益計算
-                CalculateNetIncome();
-
-                // 合計計算
-                CalculateAllTotal();
+                    // データセット
+                    dgv.Rows[LineCnt].Cells[(int)DispGridColumn.HopePrice].Value = HopeValue.ToString("#,0");
+                    dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecValue.ToString("#,0");
+                    dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecValue).ToString("0.00");
+                }
             }
             catch (Exception ex)
             {
@@ -2547,12 +2661,12 @@
         }
         #endregion
 
-        #region 給与経費行作成
+        #region 給与経費行作成・再計算
         /// <summary>
-        /// 給与経費行作成
+        /// 給与経費行作成・再計算
         /// </summary>
         /// <returns></returns>
-        private void CreatePayrollExpenses(bool CreateRowLine)
+        private void CreatePayrollCosts(bool CreateRowLine)
         {
             try
             {
@@ -2559,6 +2673,7 @@
                 // 16期以降は給与を表示する
                 if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
 
+                DataGridView dgv = dgvAllDisplay;
                 // 工期取得
                 double BetweenTimes = 0;
                 // 給与単価
@@ -2568,6 +2683,14 @@
                 // 文字列
                 string Content = string.Empty;
 
+                // 工事担当者コードの設定           
+                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int PersonCode = m_Constructor;
+
+                // 設定無時はセットしない
+                if (PersonCode == 0) goto GridSet;
+                if (!pnlGroup1.Visible) goto GridSet;
+
                 if (radioButton1.Checked)
                 {   // ----- 全日振分
                     // 工期取得
